-----------------------------------------------------------------------------
-- Module: @(#)mkSQL_create_PK.sql	version: 2.5     Date: 12/1/2016
-- Author: Lester Knutsen  Contact: lester@advancedatatools.com
-- Copyright: Advanced DataTools Corporation 
-- 		
-----------------------------------------------------------------------------

--- Create script to alter tables with unique index to add a primary key
--- Get tables with no primary key and a unique index
output to "o_creat_pk.sql" 
without headings
select "alter table ", 
	trim(tabname) , 
	" add constraint primary key (", 
	trim(colname), 
	") ;"
from systables, sysindexes, syscolumns
where systables.tabid = sysindexes.tabid
and   systables.tabid = syscolumns.tabid
and systables.tabid > 99
and systables.tabid not in ( select tabid from sysconstraints where constrtype = "P" )
and sysindexes.idxtype = "U"
and sysindexes.part1 = syscolumns.colno
;

